APM(8) | System Manager's Manual | APM(8)

# NAME

`apm`, `zzz` — Advanced Power Management control program

# SYNOPSIS

`apm` | [`-abdlmSsvz`] [`-f` sockname]

`zzz` | [`-Sz`] [`-f` sockname]

# DESCRIPTION

The `apm` program communicates with the Advanced Power Management (APM) daemon, apmd(8), making requests of the current power status or placing the system either into suspend or stand-by state. The `apm` tool is only installed on supported platforms.

With no flags, `apm` displays the current power management state in verbose form.

Available command-line flags are:

`-a`
  Display the external charger (A/C status): 0 means disconnected, 1 means connected, 2 means backup power source, and 255 means unknown.
`-b`
  Display the battery status: 0 means high, 1 means low, 2 means critical, 3 means charging, 4 means absent, and 255 means unknown.
`-d`
  Do not communicate with the APM daemon; attempt instead to manipulate the APM control device directly.
`-f` sockname
  Set the name of the socket via which to contact apmd(8) to sockname.
`-l`
  Display the estimated battery lifetime in percent.
`-m`
  Display the estimated battery lifetime in minutes.
`-S`
  Put the system into stand-by (light sleep) mode.
`-s`
  Display if power management is enabled.
`-v`
  Request more verbose description of the displayed states.
`-z`
  Put the system into suspend (deep sleep) mode.

The `zzz` variant of this command is an alternative for suspending the system. With no arguments, `zzz` places the system into suspend mode. The command line flags serve the same purpose as for the `apm` variant of this command.

This command does not wait for positive confirmation that the requested mode has been entered; to do so would mean the command does not return until the system resumes from its sleep state.

# FILES

/var/run/apmdev is the default UNIX-domain socket used for communication with apmd(8). The `-f` flag may be used to specify an alternate socket name. The protection modes on this socket govern which users may access the APM functions.

/dev/apmctl is the control device which is used when the `-d` flag is specified; it must be writable for the `-d` flag to work successfully. /dev/apm is the status device used when the socket is not accessible; it must be readable to provide current APM status.

# SEE ALSO

acpi(4), apm(4), apmd(8)

Intel Corporation and Microsoft Corporation, Advanced Power Management (APM) BIOS Interface Specification, Revision 1.2, February 1996.

# HISTORY

The `apm` command appeared in NetBSD 1.3.

The APM specification first appeared in 1992. The last update to the standard was made in 1996 - the same year when it was superseded by the ACPI 1.0 standard. Thereafter power management on IBM-compatible personal computers has relied on ACPI, implemented in NetBSD by the acpi(4) subsystem. The acpi(4) provides an emulation layer for the legacy `apm`.

March 20, 2010 | NetBSD 11.99